Subject: [netatalk-admins] More insight on "-50"

From: Richard Hyde <[email-masked]>
Date: Thu, 18 Mar 1999 12:11:25 -0800

The "error of type -50 has occured" error has popped up on this list and a few others every so often in the past year.  I've yet to hear of someone resolving this problem.  I might have some new info that may be useful for debugging.  First let me recap the -50 and netatalk problem.

1) User trys to copy applications to the server.  Error occurs.
2) No problems with other types of files.
3) Occurs under Redhat 5.1, 5.2, LinuxPPC 4.0
4) Occurs with every version of netatalk-asun I've tried though the problem seems to disappear occasionally
5) DID NOT happen when the clients ran < Mac OS 8.5

New stuff that a user just told me about.
1) Copies application the server, error dialog appears, use does not close it
2) goes to another machine and sees that the application is in fact on the server, copies it from the server and the application is intact.
3) goes back to the original machine and closes the dialog box, the application file then deletes itself from the server.

Sounds as though Mac OS (8.5.1 in this case) thinks the file did not copy and then it deletes what it thinks to be an incomplete file.

Comments? Fixes? Clue?

Richard Hyde
Sysadmin, ScienceVIEW
[email-masked]